> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Display Available Rate Assets



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/RateAsset/GetAvailableRateAssets
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/RateAsset/GetAvailableRateAssets:
    post:
      tags:
        - RateAsset
      summary: Display Available Rate Assets
      operationId: GetAvailableRateAssets
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetAvailableRateAssetsRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetAvailableRateAssetsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetAvailableRateAssetsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetAvailableRateAssetsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetAvailableRateAssetsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetAvailableRateAssetsRequest:
      example:
        provider_id: provider_id
      properties:
        provider_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetAvailableRateAssetsRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetAvailableRateAssetsResponse:
      example:
        rate_assets:
          - name: name
            currency: currency
            id: id
            type: type
            has_vol_cube: true
          - name: name
            currency: currency
            id: id
            type: type
            has_vol_cube: true
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        rate_assets:
          items:
            $ref: '#/components/schemas/CoveredRateAsset'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetAvailableRateAssetsResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CoveredRateAsset:
      example:
        name: name
        currency: currency
        id: id
        type: type
        has_vol_cube: true
      properties:
        currency:
          nullable: true
          type: string
        id:
          minLength: 1
          type: string
        name:
          minLength: 1
          type: string
        type:
          nullable: true
          type: string
        has_vol_cube:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.CoveredRateAsset, Derivitec.Web.Core
      required:
        - $type
        - id
        - name
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````